 #property copyright "2016@Christoffer Sandberg & xBeast" 
 #property link "http://bit.ly/2euqZ3z"
 #property description "binaryoptionsedge.com member xbeast suggested this as a Holy Grail Indicator. Well let's test it. And why not."
/*
V 0.0

*/
#property indicator_chart_window



extern string S1="---------------- Bulls/Bears Period";
input int BullBearPeriod = 2;
input int Shift = 0; //------------------------ Candle 0 most recent closed one

extern string S2="---------------- Text color";
extern color TextColor=Pink;








int flagval1 = 0;
int flagval2 = 0;
int n        = 0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

   
   ObjectCreate("XBeastCALL", OBJ_LABEL, 0, 0, 0);
   ObjectSet("XBeastCALL", OBJPROP_CORNER, 0);
   ObjectSet("XBeastCALL", OBJPROP_XDISTANCE, 20);
   ObjectSet("XBeastCALL", OBJPROP_YDISTANCE, 80);
   
   ObjectCreate("XBeastPUT", OBJ_LABEL, 0, 0, 0);
   ObjectSet("XBeastPUT", OBJPROP_CORNER, 0);
   ObjectSet("XBeastPUT", OBJPROP_XDISTANCE, 20);
   ObjectSet("XBeastPUT", OBJPROP_YDISTANCE, 100);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
ObjectDelete(ChartID(),"XBeastPUT");
ObjectDelete(ChartID(),"XBeastCALL");
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
   int limit, i;
   double tmp=0;
   double Range;
   bool up_signal = true;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;

   limit=Bars-counted_bars;
   
   for(i = 0; i <= limit; i++) 
   {
     Range=MathMax(High[i],Close[i+1])-MathMin(Low[i],Close[i+1]);
	  
	  double BULL0 =     iBullsPower(NULL,0,BullBearPeriod,PRICE_CLOSE,i+Shift);
	  double BEAR0 =     iBearsPower(NULL,0,BullBearPeriod,PRICE_CLOSE,i+Shift);
	  
	  
	  /* #####################################################################
	  ##
	  ##                       First step Find a Crossing
	  ##
	  ######################################################################*/
  
      double x,y,call_proc,put_proc; 
      
      
      if((BULL0+BEAR0)!=0)
         x = (BULL0/(BULL0+BEAR0))*Volume[i+Shift];
      else
         x = 0.1;
      

      if((BEAR0-BULL0)!=0)
         y = (BEAR0/(BEAR0-BULL0))*Volume[i+Shift];
      else
         y = 0.1;
      
      if( ( (x/(x+y))*100) != 0 )
         call_proc = ( (x/(x+y))*100 );
      else
         call_proc = 0;
      
      if( ( (y/(x+y))*100 ) != 0)
         put_proc = ( (y/(x+y))*100 );
      else
         put_proc = 0;
         
      Print("CALL: "+DoubleToStr(call_proc));
      Print("PUT: "+DoubleToStr(put_proc));
      

   ObjectSetText("XBeastCALL","Call%: " + DoubleToStr(call_proc),10, "Verdana", TextColor);
   ObjectSetText("XBeastPUT","PUT%:  " +DoubleToStr(put_proc),10, "Verdana", TextColor);
         
   }
   
 

   return(0);
}

void DeleteObjectsByString(string Search, int ObjectType=-1) {
   int TotalObject = ObjectsTotal(0,0,-1);
   for (int i = TotalObject; i >= 0 ; i--) {
      if (StringFind(ObjectName(0, i, 0, ObjectType), Search, 0) > -1)  {
         ObjectDelete(0,ObjectName(0,i,0,-1));
      }      
   }
}